Bug 575359 (CVE-2010-1029) - CVE-2010-1029 kdebase, WebKit, qt: Stack consumption via specially-crafted CSS STYLE element
Summary: CVE-2010-1029 kdebase, WebKit, qt: Stack consumption via specially-crafted CS...
Status: CLOSED NOTABUG
Alias: CVE-2010-1029
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=cve,reported=201003...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 11:15 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:57 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-26 09:15:08 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-03-20 11:15:56 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1029 to
the following vulnerability:

Stack consumption vulnerability in the WebCore::CSSSelector function
in WebKit, as used in Apple Safari 4.0.4, Apple Safari on iPhone OS
and iPhone OS for iPod touch, and Google Chrome 4.0.249, allows remote
attackers to cause a denial of service (application crash) or possibly
execute arbitrary code via a STYLE element composed of a large number
of *> sequences.

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1029
  [2] http://www.exploit-db.com/exploits/11567
  [3] http://www.exploit-db.com/exploits/11574
  [4] http://www.securityfocus.com/bid/38398
  [5] http://xforce.iss.net/xforce/xfdb/56524
  [6] http://xforce.iss.net/xforce/xfdb/56527

Comment 1 Jan Lieskovsky 2010-03-20 11:17:33 UTC
This issue did NOT affect the versions of the kdebase package,
as shipped with Red Hat Enterprise Linux 3, 4, or 5.

Comment 4 Tomas Hoger 2010-04-26 09:15:08 UTC
Not reproducible with any supported webkitgtk, QTWebKit or KHTML version.  Closing.


Note You need to log in before you can comment on or make changes to this bug.